{% extends '@PiCRUD/show.html.twig' %}

{% block meta_description %}
    {% apply spaceless %}
        {% if entity.metaDescription is defined and entity.metaDescription is not empty %}
            {{ entity.metaDescription }}
        {% else %}
            Retrouvez tous les résultats de l'événement {{ entity.title }}.
        {% endif %}
    {% endapply %}
{% endblock %}

{% block content_description %}
    {% if entity.event is defined and entity.event is not empty %}
        <div class="content-description p-4 my-4">
            {% set event = entity.event %}
            <div class="row text-center">
                <div class="col-12 col-lg-3">
                    {% if event.dateEnd is not empty and event.dateEnd > event.dateBegin %}
                        {% if event.dateBegin|date('m') is not same as event.dateEnd|date('m') %}
                            <span class="h2 d-inline-block">
                                <span class="badge badge-{{ class_primary }}">{{ event.dateBegin|date('d') }}</span>
                                <span class="badge">{{ event.dateBegin|format_datetime(pattern='MMMM', locale='fr')|capitalize }}</span>
                                <span class="">au</span>
                                <span class="badge badge-{{ class_secondary }} text-white">{{ event.dateEnd|date('d') }}</span>
                                <span class="badge">{{ event.dateEnd|format_datetime(pattern='MMMM', locale='fr')|capitalize }}</span>
                                <span class="badge text-{{ class_primary }}">{{ event.dateBegin|date('Y') }}</span>
                            </span>
                        {% else %}
                            <span class="h2 d-inline-block">
                                <span class="badge badge-{{ class_primary }}">{{ event.dateBegin|date('d') }}</span>
                                <span class="">au</span>
                                <span class="badge badge-{{ class_secondary }} text-white">{{ event.dateEnd|date('d') }}</span>
                                <span class="badge">{{ event.dateEnd|format_datetime(pattern='MMMM', locale='fr')|capitalize }}</span>
                                <span class="badge text-{{ class_primary }}">{{ event.dateBegin|date('Y') }}</span>
                            </span>
                        {% endif %}
                    {% else %}
                        <span class="h2 d-inline-block">
                            <span class="badge badge-{{ class_primary }}">{{ event.dateBegin|date('d') }}</span>
                            <span class="badge">{{ event.dateBegin|format_datetime(pattern='MMMM', locale='fr')|capitalize }}</span>
                            <span class="badge text-{{ class_primary }}">{{ event.dateBegin|date('Y') }}</span>
                        </span>
                    {% endif %}
                </div>

                <div class="col-12 col-lg-3">
                    {% if event.format is not empty %}
                        <li class="list-inline-item h4"><i class="fa fa-tag text-secondary" aria-hidden="true"></i> {{ event.format.label }}</li>
                    {% endif %}
                </div>

                <div class="col-12 col-lg-3">
                    {% if event.locationTitle is not empty %}
                        <li class="list-inline-item h4"><i class="fa fa-location-arrow text-secondary" aria-hidden="true"></i> {{ event.locationTitle }}</li>
                    {% endif %}
                </div>

                <div class="col-12 col-lg-3">
                    {% if event.organizer is not empty %}
                        <li class="list-inline-item h4"><i class="fa fa-users text-secondary" aria-hidden="true"></i> {{ event.organizer }}</li>
                    {% endif %}
                </div>
            </div>
        </div>
    {% endif %}
{% endblock %}

{% block extra_content %}
    <div class="container-fluid my-4">
        <div class="row">
            <div class="col-12 col-lg-10 offset-lg-1">
                {% if entity.livelox is defined and entity.livelox is not empty %}
                    <a href="{{ entity.livelox }}" rel="nofollow" class="d-block d-md-table-cell btn btn-secondary" target="_blank">Voir les choix d'itinéraires sur Livelox</a>
                    {% set cnClasses = 'mt-4 mt-md-0 my-4 ml-lg-4' %}
                {% endif %}

                {% if entity.cn is defined and entity.cn is not empty %}
                    <a href="{{ 'https://cn.ffcorientation.fr/course/%s/'|format(entity.cn) }}" rel="nofollow" class="d-block d-md-table-cell {% if cnClasses is defined %} {{ cnClasses }}{% endif %} btn btn-info stretched-link position-relative" target="_blank">Voir le CN de cette course</a>
                {% endif %}
            </div>
        </div>

        {% if entity.files|length > 0 %}
            <div class="row">
                <div class="col-12 col-lg-10 offset-lg-1">
                    <div class="my-4">
                        <h3 class="text-balise">Résultats et fichiers joints</h3>
                        {% for file in entity.files %}
                            <div class="card mb-4 card-file">
                                <div class="card-body">
                                    <a title="{{ entity.title }} - Fichier {{ file }}" class="text-dark stretched-link btn-download-result-file" href="{{ asset('files/' ~ file.fileName) }}">{{ file }}</a><span class="d-none d-lg-block float-right"><u>Télécharger</u></span>
                                </div>
                            </div>
                        {% endfor %}
                    </div>
                </div>
            </div>
        {% endif %}
    </div>
{% endblock %}
